# matrix.h File Reference

Go to the source code of this file.

## Functions

MagickExport double ** | AcquireMagickMatrix (const unsigned long, const unsigned long)
MagickExport double **** | RelinquishMagickMatrix (double **, const unsigned long)
MagickExport MagickBooleanType | GaussJordanElimination (double **, double **, const unsigned long, const unsigned long)
MagickExport void | LeastSquaresAddTerms (double **, double **, const double *, const double *, const unsigned long, const unsigned long)

## Function Documentation

MagickExport double** AcquireMagickMatrix | ( | const unsigned long | ,
|  | const unsigned long |  |
| ) |  |  |

MagickExport MagickBooleanType GaussJordanElimination | ( | double ** | ,
|  | double ** | ,
|  | const unsigned | long,
|  | const unsigned | long |
| ) |  |  |

MagickExport void LeastSquaresAddTerms | ( | double ** | ,
|  | double ** | ,
|  | const double * | ,
|  | const double * | ,
|  | const unsigned | long,
|  | const unsigned | long |
| ) |  |  |

MagickExport double** ** RelinquishMagickMatrix | ( | double ** | ,
|  | const unsigned | long |
| ) |  |  |